complexType "InterestShortFall"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | interestShortfallCap, compounding, rateSource?
</...>

Content Model Elements (3):

  compounding (in interestShortfall), interestShortfallCap, | rateSource (in interestShortfall)

All Direct / Indirect Based Elements (1):

  interestShortfall

Known Usage Locations

- As direct type of elements (1):
  interestShortfall

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="InterestShortFall"> <xsd:sequence> <xsd:element name="interestShortfallCap" type="InterestShortfallCapEnum"/> <xsd:element name="compounding" type="xsd:boolean"/> <xsd:element minOccurs="0" name="rateSource" type="FloatingRateIndex"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
compounding

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="compounding" type="xsd:boolean"/>

interestShortfallCap

  Type: | InterestShortfallCapEnum, simple content

  Specifies the nature of the interest Shortfall cap (i.e. Fixed Cap or Variable Cap) in the case where it is applicable. ISDA 2003 Term: Interest Shortfall Cap.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "Fixed", "Variable"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="interestShortfallCap" type="InterestShortfallCapEnum"/>

rateSource

  Type: | FloatingRateIndex, simple content

  The rate source in the case of a variable cap.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSource" type="FloatingRateIndex"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.